Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# elem_disp Class Reference

Class for basic display properties of an element type. More...

`#include <scene.h>`

Collaboration diagram for elem_disp:
[legend]

List of all members.

## Public Member Functions
| elem_disp ()
| Constructor.
void | set_show (bool sho=true)
| Set visibility for the element type.
bool | get_show () const
| Get visibility of the element type.
void | set_size (double sz=0)
| Set the size for the element type.
double | get_size () const
| Get the size of the element type.
void | set_col (col_val clr)
| Set the colour of the element type.
col_val | get_col () const
| Get the colour of the element type.

## Detailed Description

Class for basic display properties of an element type.

## Member Function Documentation

col_val elem_disp::get_col | ( |  | ) | const`[inline]`

Get the colour of the element type.

Returns:
  The color of the element type.

bool elem_disp::get_show | ( |  | ) | const`[inline]`

Get visibility of the element type.

Returns:
  `true` if visible, `false` if hidden.

double elem_disp::get_size | ( |  | ) | const`[inline]`

Get the size of the element type.

Returns:
  The size for the element type.

void elem_disp::set_col | ( | col_val | clr | ) | `[inline]`

Set the colour of the element type.

Parameters:

  clr | the color for the element type.

void elem_disp::set_show | ( | bool | sho = `true` | ) | `[inline]`

Set visibility for the element type.

Parameters:

  sho | `true` for visible, `false` for hidden.

void elem_disp::set_size | ( | double | sz = `0` | ) | `[inline]`

Set the size for the element type.

Parameters:

  sz | The size for the element type.

The documentation for this class was generated from the following file:

- base/scene.h